<?php

namespace Drupal\input_pattern\Plugin\DataField\FieldWidget;

use Drupal\Core\Field\Attribute\FieldWidget;
use Drupal\Core\StringTranslation\StringTranslationTrait;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\datafield\Plugin\DataField\FieldWidget\NumberFormatWidget;

/**
 * Plugin implementation of the 'number format' widget.
 */
#[FieldWidget(
  id: 'input_pattern_number',
  label: new TranslatableMarkup('Input pattern number format'),
  field_types: ['integer', 'numeric', 'float'],
)]
class InputPatternNumberWidget extends NumberFormatWidget {
  use StringTranslationTrait;

  /**
   * {@inheritdoc}
   */
  public function getFormElement(&$element, $item = NULL, $setting = []) {
    parent::getFormElement($element, $item, $setting);
    $element['#attributes']['autocomplete'] = 'off';
    $element['#attached']['library'][] = 'input_pattern/input_pattern_function';
    return $element;
  }

}
